GET /api/v202108/notification/{notificationId}/detail

Get a specific notification's details for the current user

GetNotificationDetailsV202108

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
notificationId Id of the notification to get integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

NotificationDetailsResponse
Property Description Type
archived True if the notification has been archived boolean
createdByUser UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the notification was generated string (date-time)
message The full notification message string
notificationId The id of the notification integer (int64)
notificationType NotificationType
NotificationType properties
Property Description Type
notificationCategory NotificationCategory
NotificationCategory properties
Property Description Type
notificationCategoryDescription A description of the notification category string
notificationCategoryId The id of the notification category integer (int32)
notificationCategoryInfo The notification category name string
notificationTypeDescription A description of the notification type string
notificationTypeId The id of the notification type integer (int32)
notificationTypeInfo The notification type name string
primaryAction NotificationActionButtonResponse
NotificationActionButtonResponse properties
Property Description Type
label Label the action will display string
openInNewWindow Should clicking the action link open a new window boolean
url Url the action will link to string
read True if the notification has been read boolean
secondaryAction NotificationActionButtonResponse
NotificationActionButtonResponse properties
Property Description Type
label Label the action will display string
openInNewWindow Should clicking the action link open a new window boolean
url Url the action will link to string
subject Subject of the notification string
Example Response application/json
{  "archived": false,  "createdByUser": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "message": "string",  "notificationId": 1,  "notificationType": {    "notificationCategory": {      "notificationCategoryDescription": "string",      "notificationCategoryId": 1,      "notificationCategoryInfo": "string"
    },    "notificationTypeDescription": "string",    "notificationTypeId": 1,    "notificationTypeInfo": "string"
  },  "primaryAction": {    "label": "string",    "openInNewWindow": false,    "url": "string"
  },  "read": false,  "secondaryAction": {    "label": "string",    "openInNewWindow": false,    "url": "string"
  },  "subject": "string"
}